DateTime::TimeZone::Floating(3)

NAME
DateTime::TimeZone::Floating - A time zone that is always local

VERSION
version 2.21

SYNOPSIS
  my $floating_tz = DateTime::TimeZone::Floating->new;

DESCRIPTION
This class is used to provide the DateTime::TimeZone API needed by DateTime.pm, but for floating times, as defined by the RFC 2445 spec. A floating time has no time zone, and has an effective offset of zero.

USAGE
This class has the same methods as a real time zone object. The "short_name_for_datetime()" method returns the string "floating" and the "category()" method returns "undef".

SUPPORT
Bugs may be submitted at <https://github.com/houseabsolute/DateTime-TimeZone/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for DateTime-TimeZone can be found at <https://github.com/houseabsolute/DateTime-TimeZone>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2018 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.